Qt Reference Documentation

# QS60MainDocument Class Reference

The QS60MainDocument class is a helper class for S60 migration. More...

     #include <QS60MainDocument>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| QS60MainDocument ( CEikApplication & mainApplication )
virtual | ~QS60MainDocument ()
virtual CEikAppUi * | CreateAppUiL ()

## Detailed Description

The QS60MainDocument class is a helper class for S60 migration.

Warning: This class is provided only to get access to S60 specific functionality in the application framework classes. It is not portable. We strongly recommend against using it in new applications.

The QS60MainDocument provides a helper class for use in migrating from existing S60 based applications to Qt based applications. It is used in the exact same way as the `CEikDocument` class from Symbian, but internally provides extensions used by Qt.

When modifying old S60 applications that rely on implementing functions in `CEikDocument`, the class should be modified to inherit from this class instead of `CEikDocument`. Then the application can choose to override only certain functions.

For more information on `CEikDocument`, please see the S60 documentation.

Unlike other Qt classes, QS60MainDocument behaves like an S60 class, and can throw Symbian leaves.

See also QS60MainApplication and QS60MainAppUi.

## Member Function Documentation

### QS60MainDocument::QS60MainDocument ( CEikApplication & mainApplication )

Constructs an instance of QS60MainDocument.

mainApplication should contain a pointer to a QS60MainApplication instance.

### QS60MainDocument::~QS60MainDocument ()`[virtual]`

Destroys the QS60MainDocument.

### CEikAppUi * QS60MainDocument::CreateAppUiL ()`[virtual]`

Creates an instance of QS60MainAppUi.

See also QS60MainAppUi.